![](https://travis-ci.org/huixisheng/pack-axios.svg?branch=master)
# pack-axios

> axios封装

## 功能 ##
- 处理重复请求
- 添加Promise适配不支持的浏览器
- post请求参数处理
- 支持 TypeScript

## 问题解决
- https://github.com/babel/babel/issues/8829#issuecomment-481210475

    "@babel/plugin-transform-async-to-generator",
    ["@babel/plugin-transform-runtime", {
      "helpers": true,
      "regenerator": true
    }]

## 参考 ##
- https://github.com/axios/axios
- [axios的秘密](https://zhuanlan.zhihu.com/p/33918784)
- [前端 | 浅谈axios](https://www.jianshu.com/p/065294e2711c)
- https://www.jianshu.com/p/b22d03dfe006
- https://juejin.im/post/5b3c37e65188251aaa2d087a
- https://segmentfault.com/q/1010000008462977
